Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Pre-beginners guide?

  1. Default Pre-beginners guide?

    I have read the Lich project pages as well as the Wiki, including discussions and the new user guide. I have tried to install using 2.0 Ruby and got that sqlite message. Then I installed it using the link and it installed fine. At least it seemed to.

    But I don't know how to use it apparently. I thought when I logged into Stormfront, there would be new functions or windows or something. But it looks and acts like it always did. I tried typing ;help and ;repository and other suggestions from the new users guide on the entry line in Stormfront. I assumed that was where to use it. No answer. I thought I might see new scripts available on the script tab, and new maps on my map window. But no.

    I've read the beginner guide. People who know this software probably think this is so basic, but there are a lot of info points that are missing. Like, can you install Lich after you've been using Stormfront? Do you need to delete anything first? How do you know that you had a successful install if you received no errors? The new user guide says start with ;help on the command line. Command line of Stormfront? The Windows command line? If ;help gives you an error, what should you do? Should I just reformat my hard drive?

    Those are just some of my questions. If anyone has a beginning beginner's guide, I'd love to see it. I know these questions sound dumb, but maybe there is someone else out there who is also clueless who would be helped by this.

  2. #2

    Default

    Quote Originally Posted by LadyPen View Post
    I have read the Lich project pages as well as the Wiki, including discussions and the new user guide. I have tried to install using 2.0 Ruby and got that sqlite message.
    If windows 8 or windows 10, try this.

    1) Go to your control panel and apps - remove Ruby 2.0.0
    2) Open up your Windows Explorer, click on THIS PC and double click on C DRIVE
    3) Delete the Ruby200 folder if it is still present (it should be, but needs to be gone.)
    4) Go to this link, download the installer and run it.
    5) Use the new shortcut on your desktop to start Lich, log in through the Lich signin process, select your character and Stormfront.
    6) Click the PLAY button, and enjoy!

  3. #3
    Join Date
    Jan 2003
    Location
    The Danger Zone
    Posts
    11,243
    Blog Entries
    2

    Default

    Are you not seeing something like this scroll by when you log in?

    Code:
    --- Lich: infomon active.
    --- Lich: alias service started
    --- Lich: lnet active.
    --- Lich: repository active.
    --- Lich: GameObjAdd active.
    --- Lich: dreavening active.
    --- Lich: rnum active.
    --- Lich: uberbar active.
    [repository: Lich is up-to-date]
    [repository: downloading map database...]
    
    --- Welcome to LNet.  I think so, Brain, but, the Rockettes? I mean, it's mostly girls, isn't it?
    
    [repository: deleting old map databases...]
    [repository: loading map database...]
    [repository: done]
    [repository: scripts are up-to-date]
    --- Lich: repository has exited.
    --- Lich: GameObjAdd has exited.
    You had better pay your guild dues before you forget. You are 113 months behind.

  4. #4

    Default

    You havnt linked lich/ruby with stormfront.

    Open the Lich folder and run the lich program.
    This will open a window and one of the tabs will allow you to link to the website and the SGE(simu game entry). Once linked you can login using website or SGE.

    You can also log right in through that program, and save a quick login so you dont need to login each time through the lich game entry.

    After you login, you should see code lines like above which means you can start using ; to call up scripts
    Last edited by n0551n3n0m1n3; 03-30-2019 at 11:22 PM.
    W3 4R3 4N0NYM0U5.
    W3 4R3 L3610N.
    W3 D0 N07 F0R61V3.
    W3 D0 N07 F0R637.

  5. Default

    Quote Originally Posted by Risen View Post
    If windows 8 or windows 10, try this.

    1) Go to your control panel and apps - remove Ruby 2.0.0
    2) Open up your Windows Explorer, click on THIS PC and double click on C DRIVE
    3) Delete the Ruby200 folder if it is still present (it should be, but needs to be gone.)
    4) Go to this link, download the installer and run it.
    5) Use the new shortcut on your desktop to start Lich, log in through the Lich signin process, select your character and Stormfront.
    6) Click the PLAY button, and enjoy!

    This worked perfectly with my Windows 7. Thank you VERY much for your help!

  6. Default

    I have tried installing lich and ruby using both methods described installing lich and ruby separately and using the windows 10 installer. When I install separately I get the issue where is does not install the sqlite3 and the issue I am getting with the windows 10 installer is it can not find the simutronics launcher. Also the link tab on my lich launcher is greyed out.
    Capture.JPG

    2019-04-06 20:16:39: info: Lich 4.6.49
    2019-04-06 20:16:39: info: Ruby 2.4.5
    2019-04-06 20:16:39: info: x64-mingw32
    2019-04-06 20:16:39: info: no force-mode info given
    2019-04-06 20:17:49: error: failed to find the Simutronics launcher

  7. #7

    Default

    Quote Originally Posted by Gnissa68 View Post
    I have tried installing lich and ruby using both methods described installing lich and ruby separately and using the windows 10 installer. When I install separately I get the issue where is does not install the sqlite3 and the issue I am getting with the windows 10 installer is it can not find the simutronics launcher.
    Try downloading the launcher from the GS website, install that, and then try running Lich again - no other changes. If that doesn't work, there is a name-date-log.txt file on your desktop. Put that up here and let's see if there were any errors.

  8. Default

    It is still not working even restored my pc to earlier date and tried again here is the file created at install of lich

    **********************
    Windows PowerShell transcript start
    Start time: 20190407111702
    Username: BECKY\Becky
    RunAs User: BECKY\Becky
    Configuration Name:
    Machine: BECKY (Microsoft Windows NT 10.0.17763.0)
    Host Application: powershell.exe -executionpolicy remotesigned C:\Users\TIGER~1.BEC\AppData\Local\Temp\is-I24TL.tmp\InstallLich\Rubyx64_Lich_Install.ps1
    Process ID: 10180
    PSVersion: 5.1.17763.316
    PSEdition: Desktop
    PSCompatibleVersions: 1.0, 2.0, 3.0, 4.0, 5.0, 5.1.17763.316
    BuildVersion: 10.0.17763.316
    CLRVersion: 4.0.30319.42000
    WSManStackVersion: 3.0
    PSRemotingProtocolVersion: 2.3
    SerializationVersion: 1.1.0.1
    **********************
    Transcript started, output file is ~/Desktop/Becky-040719-111702-msLich.txt
    Preparing to install Ruby and gems
    Testing the Ruby basic installation.
    ruby 2.4.5p335 (2018-10-18 revision 65137) [x64-mingw32]


    *** LOCAL GEMS ***

    bigdecimal (default: 1.3.2)
    did_you_mean (1.1.0)
    io-console (default: 0.4.6)
    json (default: 2.0.4)
    minitest (5.10.1)
    net-telnet (0.1.1)
    openssl (default: 2.0.9)
    power_assert (0.4.1)
    psych (default: 2.2.2)
    rake (12.0.0)
    rdoc (default: 5.0.0)
    test-unit (3.2.3)
    xmlrpc (0.2.1)

    Ruby installed with base gems. Updating Rubygems.
    This will take a couple of moments.

    Rubygems updated. Installing gems required by Lich.

    Fetching pkg-config-1.3.2.gem
    Successfully installed pkg-config-1.3.2
    1 gem installed
    Fetching native-package-installer-1.0.3.gem
    Successfully installed native-package-installer-1.0.3
    1 gem installed
    Successfully installed sqlite3-1.3.13-x64-mingw32
    1 gem installed
    Successfully installed cairo-1.16.1-x64-mingw32
    Successfully installed glib2-3.2.9-x64-mingw32
    Successfully installed gobject-introspection-3.2.9-x64-mingw32
    Successfully installed gio2-3.2.9-x64-mingw32
    Successfully installed gdk_pixbuf2-3.2.9-x64-mingw32
    Successfully installed cairo-gobject-3.2.9-x64-mingw32
    Successfully installed pango-3.2.9-x64-mingw32
    Successfully installed atk-3.2.9-x64-mingw32
    Successfully installed gtk2-3.2.9-x64-mingw32
    9 gems installed

    Gems installed
    Checking values for install log

    ruby 2.4.5p335 (2018-10-18 revision 65137) [x64-mingw32]

    *** LOCAL GEMS ***

    atk (3.2.9 x64-mingw32)
    bigdecimal (default: 1.3.2)
    bundler (default: 1.17.3)
    cairo (1.16.1 x64-mingw32)
    cairo-gobject (3.2.9 x64-mingw32)
    did_you_mean (1.1.0)
    gdk_pixbuf2 (3.2.9 x64-mingw32)
    gio2 (3.2.9 x64-mingw32)
    glib2 (3.2.9 x64-mingw32)
    gobject-introspection (3.2.9 x64-mingw32)
    gtk2 (3.2.9 x64-mingw32)
    io-console (default: 0.4.6)
    json (default: 2.0.4)
    minitest (5.10.1)
    native-package-installer (1.0.3)
    net-telnet (0.1.1)
    openssl (default: 2.0.9)
    pango (3.2.9 x64-mingw32)
    pkg-config (1.3.2)
    power_assert (0.4.1)
    psych (default: 2.2.2)
    rake (12.0.0)
    rdoc (default: 5.0.0)
    rubygems-update (3.0.3)
    sqlite3 (1.3.13 x64-mingw32)
    test-unit (3.2.3)
    xmlrpc (0.2.1)

    Exception calling "Translate" with "1" argument(s): "Some or all identity references could not be translated."
    At C:\Users\Tiger.BECKY\AppData\Local\Temp\is-I24TL.tmp\InstallLich\Rubyx64_Lich_Install.ps1:140 char:1
    + $strSID = $AdObj.Translate([System.Security.Principal.SecurityIdentif ...
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~
    + CategoryInfo : NotSpecified: ( [], MethodInvocationException
    + FullyQualifiedErrorId : IdentityNotMappedException
    Exception calling "Translate" with "1" argument(s): "Some or all identity references could not be translated."
    At C:\Users\Tiger.BECKY\AppData\Local\Temp\is-I24TL.tmp\InstallLich\Rubyx64_Lich_Install.ps1:140 char:1
    + $strSID = $AdObj.Translate([System.Security.Principal.SecurityIdentif ...
    + ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ ~~~~~~~~~~~~~~~~~~~
    + CategoryInfo : NotSpecified: ( [], MethodInvocationException
    + FullyQualifiedErrorId : IdentityNotMappedException

    ERROR: Invalid key name.
    Type "REG ADD /?" for usage.
    Installing Lich
    Creating Shortcut to run Lich

    Installing Simutronics Launcher
    Installing StormFront

    Done
    **********************
    Windows PowerShell transcript end
    End time: 20190407112029
    **********************

  9. #9

    Default

    Quote Originally Posted by Gnissa68 View Post

    Exception calling "Translate" with "1" argument(s): "Some or all identity references could not be translated."
    There's the issue. I'm not clear where you are in the process. Did you do a restore after the installer, or before and then run the installer again?

    The fix itself isn't too hard if the installer was the last activity done. On Windows 8 or 10, open up Windows Explorer (File Explorer) and click on MY PC, then double click C DRIVE. Double click the Ruby directory, then double click the Bin directory. Click one time on RUBYW to select that file, then RIGHT CLICK on that file and select PROPERTIES.

    Then click on the COMPATIBILITY tab, check the box to 'Run the program in compatibility mode for', and then select WINDOWS 7 in the drop down list.

    APPLY / OK, close your Windows Explorer, and try to log into the game.

  10. Default

    Thank you yes that worked like a charm.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •